set problem=windows

call copy ..\check.dpr check.dpr
call copy ..\testlib.pas testlib.pas
call dcc32 -cc check.dpr

for %%i in (??) do (
	call copy %%i %problem%.in
    call %%1
    call check %problem%.in %problem%.out %%i.a >> test.log
)